#!/usr/bin/env python
# coding=UTF-8
#
# Copyright 2009 Harhalakis Stefanos <v13@v13.gr>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy 
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# $Id: main.py 951561 2009-04-09 16:40:14Z sharhalakis $
#

import win
from ati import AtiCard
import time
import os

import config

def katimon():
  ati=AtiCard(0)

  ati.init()

  pid=os.fork()
  if pid:
    os._exit(0)

  # This is child process
  os.setpgrp()

  win.init(ati)

  # Need to be done after win.init() for KAboutData to be available
  config.init(ati)

  #ati.finish()

  win.doit()

if __name__ == "__main__":
  katimon()

# vim: set ts=8 sts=2 sw=2 noet formatoptions=r ai nocindent:

